## org.eclipse.datatools.connectivity.sqm.core.rte.jdbc
Class JDBCSchema

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.schema.impl.SchemaImpl
                  org.eclipse.datatools.connectivity.sqm.core.rte.jdbc.JDBCSchema

All Implemented Interfaces:
  ICatalogObject, Schema, SQLObject

public class JDBCSchema
extends SchemaImpl
implements ICatalogObject

See Also:
  Serialized Form

Constructor Summary
`JDBCSchema()`

Method Summary
`NotificationChain` `basicSetCatalog(Catalog newCatalog, NotificationChain msgs)`
`boolean` `eIsSet(EStructuralFeature eFeature)`
`Database` `getCatalogDatabase()`
`java.sql.Connection` `getConnection()`
`EList` `getRoutines()`
`EList` `getTables()`
`EList` `getUserDefinedTypes()`
`static void` `loadTables(java.sql.Connection connection, EList tableList, Schema schema)` Deprecated.
`void` `refresh()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SchemaImpl
`basicGetCatalog, basicGetDatabase, basicGetOwner, basicSetDatabase, basicSetOwner, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, getAssertions, getBuiltInFunctions, getCatalog, getCharSets, getDatabase, getIndices, getOwner, getProcedures, getSequences, getTriggers, getUDFs, setCatalog, setDatabase, setOwner`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getPrivileges, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, toString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Constructor Detail

### JDBCSchema

    public JDBCSchema()

Method Detail

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ICatalogObject`

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`

### getTables

    public EList getTables()

  Description copied from class: `SchemaImpl`

  Specified by:
    `getTables` in interface `Schema`
  Overrides:
    `getTables` in class `SchemaImpl`

### getRoutines

    public EList getRoutines()

  Description copied from class: `SchemaImpl`

  Specified by:
    `getRoutines` in interface `Schema`
  Overrides:
    `getRoutines` in class `SchemaImpl`

### getUserDefinedTypes

    public EList getUserDefinedTypes()

  Description copied from class: `SchemaImpl`

  Specified by:
    `getUserDefinedTypes` in interface `Schema`
  Overrides:
    `getUserDefinedTypes` in class `SchemaImpl`

### eIsSet

    public boolean eIsSet(EStructuralFeature eFeature)

  Overrides:
    `eIsSet` in class `SchemaImpl`

### basicSetCatalog

    public NotificationChain basicSetCatalog(Catalog newCatalog,
                                             NotificationChain msgs)

  Description copied from class: `SchemaImpl`

  Overrides:
    `basicSetCatalog` in class `SchemaImpl`

### loadTables

    public static void loadTables(java.sql.Connection connection,
                                  EList tableList,
                                  Schema schema)
                           throws java.sql.SQLException

  Deprecated.

  Throws:
    `java.sql.SQLException`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.